/*
         Advanced Configurable Ring Buffer Library
                 (C) Dean Camera, 2007

          dean [at) fourwalledcubicle <dot} com
               www.fourwalledcubicle.com
*/

#include <avr/io.h>
#include "RingBuff.h"

RingBuff_t TestBuff;

int main (void)
{
	Buffer_Initialize(&TestBuff); // Init buffer (also clears/flushes/resets)

	Buffer_StoreElement(&TestBuff, 10); // Store value 10 into ringbuff
	Buffer_StoreElement(&TestBuff, 20); // Store value 20 into ringbuff
	Buffer_StoreElement(&TestBuff, 30); // Store value 30 into ringbuff

	PORTA = Buffer_GetElement(&TestBuff); // Get value 10 from ringbuff
	PORTB = Buffer_GetElement(&TestBuff); // Get value 20 from ringbuff	
	PORTC = Buffer_GetElement(&TestBuff); // Get value 30 from ringbuff	
	
	PORTD = 0;
	
	for (;;);

	return 0;
}
